package javax.accessibility;

import java.awt.Rectangle;

public interface AccessibleExtendedText
{
    public static final int LINE = 4;
    public static final int ATTRIBUTE_RUN = 5;
    
    public abstract String getTextRange(int p0, int p1);
    
    public abstract AccessibleTextSequence getTextSequenceAt(int p0, int p1);
    
    public abstract AccessibleTextSequence getTextSequenceAfter(int p0, int p1);
    
    public abstract AccessibleTextSequence getTextSequenceBefore(int p0, int p1);
    
    public abstract Rectangle getTextBounds(int p0, int p1);
}
